<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRemoteClusterReq StructType
 * @subpackage Structs
 */
class AddRemoteClusterReq extends APIRequest
{
    /**
     * The remoteCluster
     * @var XRemoteCluster
     */
    public $remoteCluster;
    /**
     * Constructor method for AddRemoteClusterReq
     * @uses AddRemoteClusterReq::setRemoteCluster()
     * @param XRemoteCluster $remoteCluster
     */
    public function __construct(XRemoteCluster $remoteCluster = null)
    {
        $this
            ->setRemoteCluster($remoteCluster);
    }
    /**
     * Get remoteCluster value
     * @return XRemoteCluster|null
     */
    public function getRemoteCluster()
    {
        return $this->remoteCluster;
    }
    /**
     * Set remoteCluster value
     * @param XRemoteCluster $remoteCluster
     * @return AddRemoteClusterReq
     */
    public function setRemoteCluster(XRemoteCluster $remoteCluster = null)
    {
        $this->remoteCluster = $remoteCluster;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRemoteClusterReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
